> For the complete documentation index, see [llms.txt](https://docs.zipy.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zipy.ai/zipy-for-mobile/flutter-setup/http-network-calls.md).

# Http Network Calls

Use the `ZipyHttpClient` to call http network calls in your flutter application

```dart
import 'package:zipy_flutter/zipy_flutter.dart';

final client = ZipyHttpClient();
client.get(url); or client.post(url);

```

Example-&#x20;

```dart
final client = ZipyHttpClient();
const String url = 'url';

final Map<String, String> headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer your_api_key',
};

try {
  final response = await client.get(
    Uri.parse(url),
    headers: headers,
  );
} catch (e) {
  print(e);
}
```

or

```dart
final client = ZipyHttpClient(); 
const baseUrl = 'url';
var request = http.Request('GET', Uri.parse(baseUrl));
http.StreamedResponse response = await client.send(request);
```

Use the instance of `client` to call the api by importing it wherever needed or you can call it in your network call wrapper.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zipy.ai/zipy-for-mobile/flutter-setup/http-network-calls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
